Subject: Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: Michael Albinus <[email-masked]>
Date: Wed, 01 Mar 2023 11:11:01 +0100

[email-masked] writes:

Hi Jérôme,

> This is with the builtin Tramp in Emacs 27. I just tried installing
> Tramp 2.6.0.2 from Elpa and `tramp-remote-path` is set properly
> (but trying to open a remote file fails with a missing symbol error,
> probably due to an out-of-date dependency).
>
> So the issue appears to be fixed in the latest Tramp, and for the time
> being I can work around it using `eval-after-load` to force-set the
> path, e.g. this works:
>
> ```
> emacs -Q -l tramp --eval "(eval-after-load 'tramp '(setq tramp-remote-path '(tramp-own-remote-path tramp-default-remote-path)))"
> ```

Thanks for the confirmation. I'm glad that Tramp 2.6.0.2 did help,
that's what Tramp in GNU ELPA is good for, isn't it?

> Thanks,
> Jérôme

Best regards.